Bug 107256 - duplicated printing
Summary: duplicated printing
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printconf   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-16 07:08 UTC by Alan Down
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-03 09:23:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
results 1 (1.41 KB, text/plain)
2003-10-17 02:33 UTC, Alan Down
no flags Details
results 2 (7.33 KB, text/plain)
2003-10-17 02:34 UTC, Alan Down
no flags Details
error log as requested (3.33 KB, text/plain)
2003-10-20 01:57 UTC, Alan Down
no flags Details
this is the file which prints 3 times (179.01 KB, text/plain)
2003-10-20 01:58 UTC, Alan Down
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:228 normal SHIPPED_LIVE Updated CUPS packages fix several bugs 2004-09-01 04:00:00 UTC
Red Hat Product Errata RHSA-2003:275 normal SHIPPED_LIVE : Updated CUPS packages fix denial of service 2003-11-03 05:00:00 UTC

Description Alan Down 2003-10-16 07:08:30 UTC
Description of problem:

Documents greater than 7 pages in length are printed 3 times when sent to a
networked lpd Xerox 8200DP printer.Can be resolved by interfacing with a
jetDirect controller.No duplication occurs when printing from Red Hat 8.0


Version-Release number of selected component (if applicable):


How reproducible:

Constant.


Steps to Reproduce:
1.lpr -Ppsc2 file
2.
3.
    
Actual results:

prints documents 3 times


Expected results:

1 copy


Additional info: printtool settings:- Queue type: Server: ip address Queue: raw
                                      Printer Driver: Postscript

Comment 1 Tim Waugh 2003-10-16 09:00:46 UTC
Please attach the output of 'printconf-tui --Xexport', taking care to replace
any passwords it might contain.

I will also need to see the output of '/usr/sbin/alternatives --display print'.

Comment 2 Alan Down 2003-10-17 02:33:07 UTC
Created attachment 95251 [details]
results 1

Comment 3 Alan Down 2003-10-17 02:34:29 UTC
Created attachment 95252 [details]
results 2

Comment 4 Tim Waugh 2003-10-17 09:10:16 UTC
If there is a particular document you can use to trigger this behaviour, I would
be grateful if you could do the following:

1. Edit /etc/cups/cupsd.conf (as root) and change the LogLevel line to say:

LogLevel debug2

2. Reset the error log file by typing this (including the '>') at the bash prompt:

>/var/log/cups/error_log

3. Restart CUPS using: service cups restart

4. Print the document as before.

When multiple copies have been printed, please attach the
/var/log/cups/error_log file to this report.  Thanks.

Incidentally, which application are you printing from, or doesn't it make a
difference?

Comment 5 Alan Down 2003-10-20 01:57:01 UTC
Created attachment 95303 [details]
error log as requested

Comment 6 Alan Down 2003-10-20 01:58:25 UTC
Created attachment 95304 [details]
this is the file which prints 3 times

Comment 7 Tim Waugh 2003-10-20 10:38:16 UTC
Please fetch these packages:

ftp://people.redhat.com/twaugh/tmp/cups-1.1.17-13.3.0.3.i386.rpm
ftp://people.redhat.com/twaugh/tmp/cups-libs-1.1.17-13.3.0.3.i386.rpm

and install them using 'rpm -Fvh cups-*'.

Let me know if that fixes the problem or not.  Thanks.

Comment 8 Alan Down 2003-10-21 00:43:41 UTC
Would love to give it a try but neither of these URLs could be found..

Chhers...Al.

Comment 9 Alan Down 2003-10-21 00:54:15 UTC
Disregard last mess...Galeon failed to find but Mozilla worked..now trying fix..Al

Comment 10 Alan Down 2003-10-21 01:33:52 UTC
You little beauty,ripper and other Aussie expressions of delight!

YES it fixed it...thankyou very very much....Al.

Comment 11 Tim Waugh 2003-10-21 09:02:24 UTC
Great.  This probably warrants an official update.

Comment 12 Mark J. Cox 2003-11-03 09:23:01 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-275.html


Comment 13 Jay Turner 2004-09-02 02:10:55 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-228.html



Note You need to log in before you can comment on or make changes to this bug.